Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Regular Contributor
devin
Posts: 51
Registered: ‎05-11-2010
My Device: 8900

Eclipse Blackberry update site

Hello,

 

I developed some applications for older versions of blackberry os but stopped developing.  I am looking at getting back into it and maybe updating my apps to work with the newer api.  however, I can't seem to get the blackberry update site working in eclipese.  This is one of the frustrating reasons that i stopped developing with blackberry.  On this page:

https://developer.blackberry.com/java/download/eclipse/#addUpdateSite

 

I followed the instructions but this update site:

http://www.blackberry.com/developers/jar/win/java

 

Throws an error every time I connect to it.  I tried adding it to my existing Eclipse but that didn't work, so I install the blackberry version of eclipse and that doesn't work either.  Can anyone help?

 

Thanks.

Please use plain text.
Developer
simon_hain
Posts: 16,216
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport

Re: Eclipse Blackberry update site

http://www.blackberry.com/developers/jar/win/java
works for me.
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Please use plain text.
Regular Contributor
devin
Posts: 51
Registered: ‎05-11-2010
My Device: 8900

Re: Eclipse Blackberry update site

Thanks for your reply.  I just tested one of my old apps and it works on the new api.  Exciting, but I still can't install older sdks or get the updates working.  Here is the error I get:

 

Unable to read repository at http://www.blackberry.com/developers/jar/win/java/content.xml.
No password provided.

 

 

Also, if I click on that link I get a 404 error.

Please use plain text.
Regular Contributor
devin
Posts: 51
Registered: ‎05-11-2010
My Device: 8900

Re: Eclipse Blackberry update site

Am I the only one having this problem?  The update site is still down.  Is there another way to install simulators?

Please use plain text.
Developer
peter_strange
Posts: 19,609
Registered: ‎07-14-2008
My Device: Not Specified

Re: Eclipse Blackberry update site

Simulators are here:

http://us.blackberry.com/sites/developers/resources/simulators.html

 

Just tried the update site, works fine from my Eclipse.

Please use plain text.
Regular Contributor
devin
Posts: 51
Registered: ‎05-11-2010
My Device: 8900

Re: Eclipse Blackberry update site

Weird, not sure why it isn't working for me.  Was going to try updating my blackberry apps or start creating some new ones but seems like too many hurdles to get set up again on my new computer.  Now I remember why I stopped developing for blackberry.

 

Thanks for replying though, this forurm was always helpful.

Please use plain text.
Developer
peter_strange
Posts: 19,609
Registered: ‎07-14-2008
My Device: Not Specified

Re: Eclipse Blackberry update site

Sorry we can't solve the problem... :smileysad:

Please use plain text.
Developer
calgacus
Posts: 237
Registered: ‎07-20-2010
My Device: Not Specified

Re: Eclipse Blackberry update site

[ Edited ]

I am having this problem today, I just installed the latest eclipse plugin 2.0.0, is it really checking for a passsword?   do I need to put my bb dev account info into eclipse somewhere?

PS I am trying to recompile and test my old OS 6 app on a 9670 simulator after someone complained it wasn't working for them on that hardware.

Please use plain text.
Contributor
webbasan
Posts: 20
Registered: ‎04-19-2010
My Device: supporting 4.6 upwards

Re: Eclipse Blackberry update site

After an update to the current plugin, I get the same error.

 

It seems that it is impossible to get any old SDKs from the update site. You can just get the list of available packages (Install new software > work with: BlackBerry Update Site), but after selecting any of the SDKs I get the error:

 

An error occurred while collecting items to be installed
session context was:smileysad:profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Unable to read repository at https://swdownloads.blackberry.com/Downloads/auth/contactFormPreload.do?code=DC727151E5D55DDE1E95076...
No password provided.

 

So, as you can see, the info on the update site points to another site (swdownloads.blackberry.com) which seems to be password protected.

 

Senior Software Engineer
Lindenbaum GmbH
http://www.lindenbaum.eu/
Please use plain text.